# Interface TreeDataSourceMetadata

interface TreeDataSourceMetadata {
autoRefreshWithoutCache?: boolean;
expandMultiple?: boolean;
id: string;
restore?: boolean;
scopeTypes?: string[];
selectMultiple?: boolean;
[key: string]: any;
}

#### Hierarchy

- BaseDataSourceMetadata
  - TreeDataSourceMetadata

#### Indexable

- [key: string]: any

- Defined in tree/src/lib/tree.data-source.ts:66

#####
Index

### Properties

autoRefreshWithoutCache?
expandMultiple?
id
restore?
scopeTypes?
selectMultiple?

##
Properties

### `Optional` autoRefreshWithoutCache

autoRefreshWithoutCache?: boolean

If true the tree will be refreshed with caching disbabled after the first load

- Defined in tree/src/lib/tree.data-source.ts:73

### `Optional` expandMultiple

expandMultiple?: boolean

- Defined in tree/src/lib/tree.data-source.ts:68

### id

id: string

Inherited from BaseDataSourceMetadata.id

- Defined in definition/src/lib/definition.metadata.ts:9

### `Optional` restore

restore?: boolean

Indicates weather the data source should restore the last value from local storage

Inherited from BaseDataSourceMetadata.restore

- Defined in data-source/src/lib/base.data-source.ts:58

### `Optional` scopeTypes

scopeTypes?: string[]

- Defined in tree/src/lib/tree.data-source.ts:69

### `Optional` selectMultiple

selectMultiple?: boolean

- Defined in tree/src/lib/tree.data-source.ts:67